function f=lasso(x,y);
% Returns lasso solution via 5-fold cross-validation. Assume that x and y are centered. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[n,p]=size(x);

[xx,m,s] = normalize(x);
[s_opt, b] = crossvalidate(@lars, 5, 1000, xx, y, 'lasso', 0, 0, [], 0);
b = b./(sqrt(n)*s);
f = b';
end 